/* ExtrasController */

#import <Cocoa/Cocoa.h>
#import "GlobalConstants.h"

#define	kTeXFoGhomepage			@"http://homepage.mac.com/marco_coisson/TeXFoG/index.html"

#define	kAppUpdateTimerInterval		18000
#define	kAppVersionDictionary					@"http://homepage.mac.com/marco_coisson/AppsVersion.plist"
#define	kTeXFoGDictKey				@"TeX FoG"
#define	kTeXFoGDictVersion			130


@interface ExtrasController : NSObject
{
	IBOutlet NSMenuItem		*updatesMenuItem;
	IBOutlet NSWindow		*aboutWindow;
	IBOutlet NSWindow		*newVersionWindow;
	BOOL					automaticUpdate;
	NSTimer					*updatesTimer;
}

- (IBAction)toggleUpdates:(id)sender;
- (IBAction)visitHomepage:(id)sender;
- (IBAction)showAbout:(id)sender;
- (void)registerForUpdates;
- (void)checkForAppUpdates:(NSTimer *)t;
- (void)stopUpdates;
- (IBAction)visitUpdates:(id)sender;
- (IBAction)dismissUpdates:(id)sender;

@end
